package code;

import java.io.IOException;
import java.net.URI;
import java.util.ArrayList;
import java.util.List;

import com.sun.net.httpserver.HttpExchange;
import com.sun.net.httpserver.HttpHandler;

public class Antifurto implements HttpHandler {

	@Override
	public void handle(HttpExchange exchange) throws IOException {
		URI requestURI = exchange.getRequestURI();
		String path[] = requestURI.toString().split("/");
		String lastfile = path[path.length - 1];

		String requestMethod = exchange.getRequestMethod();
		List<String> strlist = new ArrayList<>(); //serve List<String> a causa di .put("content-type", strlist);
		strlist.add("text/json");
		exchange.getResponseHeaders().put("content-type", strlist);//opzionale, per dire cosa c'e' nel body
		
		if(Helper.compareText(lastfile,"antifurto")) {
			if(Helper.compareText(requestMethod,"GET")) {
				String response = "{\"dati\":\"ecco i dati\"}";
				Helper.sendResponse(response,exchange);
			} else {
				Helper.methodNotAllowed(exchange);
			}
			return;
		}
		
		if(Helper.compareText(lastfile,"stato")) {
			if(Helper.compareText(requestMethod,"GET")) {
				String response = "{\"dati\":\"ecco lo stato dell'antifurto\"}";
				Helper.sendResponse(response,exchange);
			} else if(Helper.compareText(requestMethod,"PUT")) {
				String response = "{\"dati\":\"stato antifurto aggiornato\"}";
				Helper.sendResponse(response,exchange);
			} else {
				Helper.methodNotAllowed(exchange);
			}
			return;
		}
		
		if(Helper.compareText(lastfile,"allarme")) {
			if(Helper.compareText(requestMethod,"GET")) {
				String response = "{\"dati\":\"ecco l'allarme\"}";
				Helper.sendResponse(response,exchange);
			} else if(Helper.compareText(requestMethod,"PUT")) {
				String response = "{\"dati\":\"allarme aggiornato\"}";
				Helper.sendResponse(response,exchange);
			} else {
				Helper.methodNotAllowed(exchange);
			}
			return;
		}
		
		if(Helper.compareText(lastfile,"attenzione")) {
			if(Helper.compareText(requestMethod,"PUT")) {
				String response = "{\"dati\":\"valore progress bar aggiornato\"}";
				Helper.sendResponse(response,exchange);
			} else {
				Helper.methodNotAllowed(exchange);
			}
			return;
		}
		
		if(Helper.compareText(lastfile,"soglia")) {
			if(Helper.compareText(requestMethod,"PUT")) {
				String response = "{\"dati\":\"soglia aggiornata\"}";
				Helper.sendResponse(response,exchange);
			} else {
				Helper.methodNotAllowed(exchange);
			}
			return;
		}
		
		Helper.pageNotFound(exchange);
	}

}
